#
# spec file for package kaim (Version 0.72)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kaim
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      AOL instant messenger
Version:      0.72
Release:      142
Source0:      kaim-0.72.tar.bz2
Patch0: kaim-0.72.dif

%description
This application can working with AOL instant messenger protocol.

Authors:
--------
    Benjamin Meyer <benjamin@csh.rit.edu>

SuSE series: k2de

%prep
%setup -n kaim-0.72
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
export KDEDIR=/opt/kde2/
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc NEWS TODO COPYING.GPL README PROTOCOL HACKING AUTHORS INSTALL COPYING.LGPL ChangeLog 
%dir /opt/kde2/share/kaim
%dir /opt/kde2/share/kaim/icons
%dir /opt/kde2/share/kaim/sounds
/opt/kde2/bin/kaim
/opt/kde2/share/kaim/icons/add.png
/opt/kde2/share/kaim/icons/away_big.png
/opt/kde2/share/kaim/icons/big.png
/opt/kde2/share/kaim/icons/block.png
/opt/kde2/share/kaim/icons/buddy_admin.png
/opt/kde2/share/kaim/icons/buddy_aol.png
/opt/kde2/share/kaim/icons/buddy_away.png
/opt/kde2/share/kaim/icons/buddy_offline.png
/opt/kde2/share/kaim/icons/buddy_oscar.png
/opt/kde2/share/kaim/icons/buddy_unknown.png
/opt/kde2/share/kaim/icons/changepassword.png
/opt/kde2/share/kaim/icons/chat.png
/opt/kde2/share/kaim/icons/chat_bell.png
/opt/kde2/share/kaim/icons/chat_big.png
/opt/kde2/share/kaim/icons/chat_bold.png
/opt/kde2/share/kaim/icons/chat_clear.png
/opt/kde2/share/kaim/icons/chat_copy.png
/opt/kde2/share/kaim/icons/chat_cut.png
/opt/kde2/share/kaim/icons/chat_italic.png
/opt/kde2/share/kaim/icons/chat_link.png
/opt/kde2/share/kaim/icons/chat_palette.png
/opt/kde2/share/kaim/icons/chat_paste.png
/opt/kde2/share/kaim/icons/chat_pen.png
/opt/kde2/share/kaim/icons/chat_printer.png
/opt/kde2/share/kaim/icons/chat_redo.png
/opt/kde2/share/kaim/icons/chat_save.png
/opt/kde2/share/kaim/icons/chat_time.png
/opt/kde2/share/kaim/icons/chat_underline.png
/opt/kde2/share/kaim/icons/chat_undo.png
/opt/kde2/share/kaim/icons/chatroom.png
/opt/kde2/share/kaim/icons/chatroom_invite.png
/opt/kde2/share/kaim/icons/check_for_update.png
/opt/kde2/share/kaim/icons/close.png
/opt/kde2/share/kaim/icons/config_away.png
/opt/kde2/share/kaim/icons/config_chat.png
/opt/kde2/share/kaim/icons/config_deny.png
/opt/kde2/share/kaim/icons/config_main.png
/opt/kde2/share/kaim/icons/config_network.png
/opt/kde2/share/kaim/icons/config_profile.png
/opt/kde2/share/kaim/icons/config_sound.png
/opt/kde2/share/kaim/icons/config_text.png
/opt/kde2/share/kaim/icons/configure.png
/opt/kde2/share/kaim/icons/edit.png
/opt/kde2/share/kaim/icons/exit.png
/opt/kde2/share/kaim/icons/face_angel.png
/opt/kde2/share/kaim/icons/face_bigsmile.png
/opt/kde2/share/kaim/icons/face_bsmile.png
/opt/kde2/share/kaim/icons/face_burp.png
/opt/kde2/share/kaim/icons/face_crossedlips.png
/opt/kde2/share/kaim/icons/face_cry.png
/opt/kde2/share/kaim/icons/face_embarrassed.png
/opt/kde2/share/kaim/icons/face_glasses.png
/opt/kde2/share/kaim/icons/face_kiss.png
/opt/kde2/share/kaim/icons/face_luke.png
/opt/kde2/share/kaim/icons/face_moneymouth.png
/opt/kde2/share/kaim/icons/face_oneeye.png
/opt/kde2/share/kaim/icons/face_sad.png
/opt/kde2/share/kaim/icons/face_scream.png
/opt/kde2/share/kaim/icons/face_smile.png
/opt/kde2/share/kaim/icons/face_think.png
/opt/kde2/share/kaim/icons/face_tongue.png
/opt/kde2/share/kaim/icons/face_wink.png
/opt/kde2/share/kaim/icons/face_yell.png
/opt/kde2/share/kaim/icons/folder.png
/opt/kde2/share/kaim/icons/folder_closed.png
/opt/kde2/share/kaim/icons/folder_create.png
/opt/kde2/share/kaim/icons/folder_remove.png
/opt/kde2/share/kaim/icons/getaway.png
/opt/kde2/share/kaim/icons/gohome.png
/opt/kde2/share/kaim/icons/icon_aim.png
/opt/kde2/share/kaim/icons/icon_gaim.png
/opt/kde2/share/kaim/icons/icon_kit.png
/opt/kde2/share/kaim/icons/icon_tik.png
/opt/kde2/share/kaim/icons/import.png
/opt/kde2/share/kaim/icons/info.png
/opt/kde2/share/kaim/icons/info_big.png
/opt/kde2/share/kaim/icons/kaim.png
/opt/kde2/share/kaim/icons/kaim_small.png
/opt/kde2/share/kaim/icons/kaim_small_blink.png
/opt/kde2/share/kaim/icons/kaimlogo.png
/opt/kde2/share/kaim/icons/list_pounce.png
/opt/kde2/share/kaim/icons/log.png
/opt/kde2/share/kaim/icons/login_icon.png
/opt/kde2/share/kaim/icons/mini-kaim.png
/opt/kde2/share/kaim/icons/normal.png
/opt/kde2/share/kaim/icons/pounce.png
/opt/kde2/share/kaim/icons/remove.png
/opt/kde2/share/kaim/icons/send.png
/opt/kde2/share/kaim/icons/small.png
/opt/kde2/share/kaim/icons/smilies.png
/opt/kde2/share/kaim/icons/view.png
/opt/kde2/share/kaim/icons/warn.png
/opt/kde2/share/kaim/sounds/BuddyArrive.au
/opt/kde2/share/kaim/sounds/BuddyLeave.au
/opt/kde2/share/kaim/sounds/Receive.au
/opt/kde2/share/kaim/sounds/Send.au
/opt/kde2/share/applnk/Internet/kaim.desktop

%changelog -n kaim
* Sat Sep 15 2001 - adrian@suse.de
- fix file position of kaim.desktop
- fix linker call
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
- change neededforbuild for KDE 2.2
* Wed Jun 20 2001 - adrian@suse.de
- make it autoconf 2.50 ready
- code fixes
* Sat May 19 2001 - adrian@suse.de
- New version 0.72
* Fri Apr 20 2001 - adrian@suse.de
- New version 0.71
* Thu Apr 12 2001 - adrian@suse.de
- New version 0.70
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Mon Mar 26 2001 - adrian@suse.de
- New version 0.64
* Mon Mar 19 2001 - adrian@suse.de
- fixed neededforbuild
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Sat Mar 17 2001 - adrian@suse.de
- New version 0.63.1
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Tue Feb 13 2001 - adrian@suse.de
- New version 0.62
* Sat Feb 10 2001 - adrian@suse.de
- New version 0.61
* Tue Jan 23 2001 - stepan@suse.de
- Alpha compile fixes for gcc 2.95.x
* Mon Jan 01 2001 - adrian@suse.de
- update to 0.51
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 10 2000 - @suse.de
- Spec file created from kaim-0.49.tar.bz2 by autospec
